Subject: Re: Worst case performance of up()

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 06 Dec 2006 09:00:02 +1100

> > If ppc_md.power_save is NULL, then the idle loop does not touch the flag
> > word of the idle thread, and everything works.
> 
> Good to know, there might be other cases of performance issues due to
> touching that flag in a loop...

More specifically... that means we have the same performance problem on
SMP PowerMacs (dual G4s & Xserve G4s)... on those machines, there's a
firmware property telling us not to use NAP mode and we do so by
clearing powersave_nap.

Paul, do you reckon the best solution here is to clear ppc_md.power_save
when detecting an SMP powermac ? (Or the flush-on-lock property)

Ben.